
Figure - Bug #113282
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】进入视频小窗，播放视频时，手势上划进入多任务管理器，视频小窗与视频小
窗的应用卡片一起出现
2022-10-28 17:12 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-28

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210280435

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

Reproducibility: Every time Fixed Version: 2022-11-08

Test Type: IT Root cause: 进入recent 遍历没有结束的activity 然后finish

Description

【前提条件】

1、本地有视频

【测试步骤】

1、长按视频应用在出现的弹窗中选中小窗

2、在视频列表中选中一个视频进行播放

3、手势上划进入多任务管理器

【预期结果】

3、多任务管理器只有一个视频小窗的应用卡片

【实际结果】

3、视频小窗与视频小窗的应用卡片一起出现

PS:利用图库小窗播放视频时也有相同问题

Related issues:

Related to Figure - Bug # 113475: 【AF】【EVT】【小窗模式】先打开一应用小窗... CLOSED 2022-11-01

Copied from Figure - Bug # 113275: 【AF】【EVT】【小窗模式】进入视频小窗，... CLOSED 2022-10-28

History

#1 - 2022-11-03 17:20 - DL FW-张挽强

- Status changed from New to ASSIGNED

- % Done changed from 0 to 20

■ Current conclusion

复现成功

■ My analysis

播放视频时 会重新启动一个activity 进入recent后只结束了上面的activity 现在出现了task里面会有多个activity的现象 

■ Next action

这个需要重新梳理逻辑 做一套统一管理的方案
#2 - 2022-11-04 16:36 - DL FW-张挽强

- % Done changed from 20 to 80

■ Current conclusion

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/160289

■ Next action

等待recent代码入库 解决冲突编译验证

#3 - 2022-11-07 17:12 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 80 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-08

- Root cause set to 进入recent 遍历没有结束的activity 然后finish

#4 - 2022-11-08 13:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

#5 - 2022-11-08 13:49 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

11.8 验证关闭

#6 - 2022-12-22 20:49 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

160289 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com

AF:MultiWindow:fixed freeform and its application card are displayed together1.Modify freeform logic when exit recentTC-RID: 1201-0204601IssueID:

TS-R-BUG-113282 TS-R-BUG-113475Change-Id: I4fb75ebd54e7e475efe34a69b12a848d13269dac

Files

视频播放时进入多任务管理器.png 270 KB 2022-10-28 CD TEST-方永红

1710.txt 3.27 MB 2022-10-28 CD TEST-方永红
